package com.docus.server.mzsy.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 梅州三院检验、检查、心电等报告视图
 *
 * @author YongBin Wen
 * @date 2024/8/16 14:39
 */
@Data
@ApiModel("梅州三院手麻报告视图")
public class MzsyShoumaReportDataView {

    @ApiModelProperty("住院号")
    private String zyh;

    @ApiModelProperty("住院次数")
    private String zycs;

    @ApiModelProperty("文件路径  HTTP路径")
    private String filePath;

    @ApiModelProperty("报告标题")
    private String fileTitle;

    @ApiModelProperty("申请单号")
    private String requestNo;

    @ApiModelProperty("归档时间")
    private Date archiveTime;
}
