package com.docus.server.mzzyy.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.mzzyy.entity.MzZyyXinDianView;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2025/6/4 0004 8:38
 */
@DS("mzzyy-xd")
@Mapper
public interface MzZyyXinDianViewMapper {
    /**
     * 根据患者jzh获取心电视图的数据
     *
     * @param jzh 患者信息
     * @param extraCondition 额外的sql条件
     * @return 心电视图的数据
     */
    List<MzZyyXinDianView> getPatientXinDianView(@Param("jzh") String jzh, @Param("ext") String extraCondition);
}
