package com.docus.server.ydzyy.dto;

import lombok.Data;

/**
 * pacs视图查询条件
 *
 * @author YongBin Wen
 * @date 2024/9/4 12:08
 */
@Data
public class YdZyyPacsViewCondition {
    /**
     * 最后修改时间开始，格式 yyyy-MM-dd HH:mm:ss
     */
    private String changeTimeStart;
    /**
     * 最后修改时间结束，格式 yyyy-MM-dd HH:mm:ss
     */
    private String changeTimeEnd;

    /**
     * 出入院时间匹配字段，时间开始
     */
    private String sendDateStart;

    /**
     * 出入院时间匹配字段，时间结束
     */
    private String sendDateEnd;

    /**
     * 住院号
     */
    private String inpNo;
    /**
     * 身份证号码
     */
    private String idCard;

    /**
     * 报告唯一值
     */
    private String remark;
}
