package com.docus.server.mzsy.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * 梅州三院检验、检查、心电等报告视图
 *
 * @author YongBin Wen
 * @date 2024/8/16 14:39
 */
@Data
@ApiModel("梅州三院MECT报告视图")
public class MzsyMectReportView {
    private String applyId;
    private Date sendDate;
    private String patientName;
    private String moduleName;
    private String patientId;
    private String pdfReportPath;
}
