package com.docus.server.sdry.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * @author YongBin Wen
 * @date 2024/7/12 14:38
 */
@Data
@ApiModel("顺德人医提供的手麻视图数据")
public class ShouMaView {
    /**
     * （文件唯一值）
     */
    private String FID;
    /**
     * （住院号）
     */
    private String FBIHID;
    /**
     * （住院次数）
     */
    private Integer FBINCU;
    /**
     * （报告名称）
     */
    private String PDESC;
    /**
     * （报告地址http）
     */
    private String PDFPATH;
    /**
     * （报告最后修改时间）
     */
    private Date FUPDATE;

}
